using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Abakus2
{
    internal class Program
    {
        static int ProizvodCifara(int n)
        {
            int proizvod = 1;
            string sn = n.ToString();

            foreach(var cifra in sn)
            {
                proizvod *= int.Parse(cifra.ToString());
            }
            return proizvod;
        }

        static void Main(string[] args)
        {
            int t = int.Parse(Console.ReadLine());
            for (int i = 0; i < t; i++)
            {
                int n = int.Parse(Console.ReadLine());
                HashSet<int> rezultati = new HashSet<int>();

                for (int j = 1; j <= n; j++)
                {
                    rezultati.Add(ProizvodCifara(j));
                }
                Console.WriteLine(rezultati.Count);
            }
        }
    }
}